Not able to run rasa x

Hi Team,

I have followed docker - compose manual installation procedure to install rasa x and it was successful. I am using windows 10. docker toolbox has been installed But when I run docker-compose up am getting below error.

redis_1            | 1:M 19 May 2020 04:49:38.903 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
redis_1            | 1:M 19 May 2020 04:49:38.903 # Server initialized
redis_1            | 1:M 19 May 2020 04:49:38.903 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
nginx_1            |  04:49:41.87
nginx_1            |  04:49:41.90 Welcome to the Bitnami nginx container
nginx_1            |  04:49:41.92 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-nginx
nginx_1            |  04:49:41.95 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-nginx/issues
nginx_1            |  04:49:41.98
nginx_1            |
nginx_1            | you have not agreed to the terms and conditions, Rasa X cannot start. To accept the terms and conditions run echo "$\{USER\} $\(date\)" > /opt/bitnami/nginx/conf/bitnami/terms/agree.txt on the host machine. You can find the terms at https://storage.googleapis.com/rasa-x-releases/rasa_x_ce_license_agreement.pdf
rasa_db_1 exited with code 127
nginx_1            |  04:49:43.79
nginx_1            |  04:49:43.81 Welcome to the Bitnami nginx container
nginx_1            |  04:49:43.82 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-nginx
nginx_1            |  04:49:43.83 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-nginx/issues
nginx_1            |  04:49:43.84
nginx_1            |
nginx_1            | you have not agreed to the terms and conditions, Rasa X cannot start. To accept the terms and conditions run echo "$\{USER\} $\(date\)" > /opt/bitnami/nginx/conf/bitnami/terms/agree.txt on the host machine. You can find the terms at https://storage.googleapis.com/rasa-x-releases/rasa_x_ce_license_agreement.pdf
rasa_nginx_1 exited with code 1
duckling_1         | no port specified, defaulting to port 8000
nginx_1            |  04:49:46.54
nginx_1            |  04:49:46.56 Welcome to the Bitnami nginx container
nginx_1            |  04:49:46.59 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-nginx
nginx_1            |  04:49:46.61 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-nginx/issues
nginx_1            |  04:49:46.62
nginx_1            |
nginx_1            | you have not agreed to the terms and conditions, Rasa X cannot start. To accept the terms and conditions run echo "$\{USER\} $\(date\)" > /opt/bitnami/nginx/conf/bitnami/terms/agree.txt on the host machine. You can find the terms at https://storage.googleapis.com/rasa-x-releases/rasa_x_ce_license_agreement.pdf
rasa_nginx_1 exited with code 1
db_1               | postgresql 04:49:47.11
db_1               | postgresql 04:49:47.12 Welcome to the Bitnami postgresql container
db_1               | postgresql 04:49:47.13 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-postgresql
db_1               | postgresql 04:49:47.16 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-postgresql/issues
db_1               | postgresql 04:49:47.16
db_1               |
db_1               | /opt/bitnami/scripts/postgresql/entrypoint.sh: line 31: exec: sudo: not found
nginx_1            |  04:49:49.68
nginx_1            |  04:49:49.71 Welcome to the Bitnami nginx container
nginx_1            |  04:49:49.73 Subscribe to project updates by watching https://github.com/bitnami/bitnami-docker-nginx
nginx_1            |  04:49:49.76 Submit issues and feature requests at https://github.com/bitnami/bitnami-docker-nginx/issues
nginx_1            |  04:49:49.78

I have followed solutions mentioned at below forum but no luck

Please help me with it.

Hi @manoj2270 welcome to the forum! It seems like you missed the step of agreeing to the terms and conditions. Is it possible you missed step 11 on the docs? That is:

New-Item -ItemType file C:\etc\rasa\terms\agree.txt

Thanks for the reply akelad. it seems folder permissions issue. Once i moved the folder to different location am able to run rasa x. Now I have new issue. Am not able to upload model into rasa x. I tried using curl and UI but am getting below error. {“version”:“0.28.3”,“status”:“failure”,“message”:“Failed to train a Rasa model.”,“reason”:“StackTrainingFailed”,“details”:“Cannot connect to host rasa-worker:5005 ssl:default [Connection refused]”,“help”:null,“code”:500}

please help me with it.

Error logs:

rasa-x_1 | The above exception was the direct cause of the following exception: rasa-x_1 | rasa-x_1 | Traceback (most recent call last): redis_1 | 1:M 20 May 2020 10:30:01.087 * Ready to accept connections rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/sanic/app.py”, line 976, in handle_request rabbit_1 | 2020-05-20 10:32:31.485 [info] <0.331.0> Waiting for Mnesia tables for 30000 ms, 9 retries left rabbit_1 | 2020-05-20 10:32:31.545 [info] <0.331.0> Waiting for Mnesia tables for 30000 ms, 9 retries left rasa-x_1 | response = await response rabbit_1 | 2020-05-20 10:32:31.546 [info] <0.331.0> Peer discovery backend rabbit_peer_discovery_classic_config does not support registration, skipping registration. rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/rasax/community/api/decorators.py”, line 205, in decorated_function rabbit_1 | 2020-05-20 10:32:31.546 [info] <0.331.0> Running boot step database_sync defined by app rabbit rabbit_1 | 2020-05-20 10:32:31.547 [info] <0.331.0> Running boot step feature_flags defined by app rabbit rasa-x_1 | return await await_and_return_response(args, kwargs, request) rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/rasax/community/api/decorators.py”, line 135, in await_and_return_response rabbit_1 | 2020-05-20 10:32:31.548 [info] <0.331.0> Running boot step codec_correctness_check defined by app rabbit rabbit_1 | 2020-05-20 10:32:31.548 [info] <0.331.0> Running boot step external_infrastructure defined by app rabbit rasa-x_1 | response = await response rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/rasax/community/api/blueprints/models.py”, line 65, in upload_model rabbit_1 | 2020-05-20 10:32:31.549 [info] <0.331.0> Running boot step rabbit_registry defined by app rabbit rasa-x_1 | minimum_version = await model_service.minimum_compatible_version() rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/rasax/community/services/model_service.py”, line 129, in minimum_compatible_version rasa-x_1 | info = await stack_service.version() rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/rasax/community/services/stack_service.py”, line 99, in version rasa-x_1 | timeout=timeout_in_seconds, rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/aiohttp/client.py”, line 483, in _request rasa-x_1 | timeout=real_timeout rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/aiohttp/connector.py”, line 523, in connect rasa-x_1 | proto = await self._create_connection(req, traces, timeout) rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/aiohttp/connector.py”, line 859, in _create_connection rasa-x_1 | req, traces, timeout) rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/aiohttp/connector.py”, line 1004, in _create_direct_connection rasa-x_1 | raise last_exc rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/aiohttp/connector.py”, line 986, in _create_direct_connection rasa-x_1 | req=req, client_error=client_error) rasa-x_1 | File “/usr/local/lib/python3.7/site-packages/aiohttp/connector.py”, line 943, in _wrap_create_connection rasa-x_1 | raise client_error(req.connection_key, exc) from exc rasa-x_1 | aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host rasa-production:5005 ssl:default [Connection refused] rabbit_1 | 2020-05-20 10:32:31.549 [info] <0.331.0> Running boot step rabbit_auth_mechanism_cr_demo defined by app rabbit rasa-x_1 | ERROR:rasax.community.api.blueprints.models:Cannot connect to host rasa-worker:5005 ssl:default [Connection refused] rabbit_1 | 2020-05-20 10:32:31.550 [info] <0.331.0> Running boot step rabbit_queue_location_random defined by app rabbit

docker - compose file

version: “3.4”

x-database-credentials: &database-credentials DB_HOST: “db” DB_PORT: “5432” DB_USER: “${DB_USER:-admin}” DB_PASSWORD: “${DB_PASSWORD}” DB_LOGIN_DB: “${DB_LOGIN_DB:-rasa}”

x-rabbitmq-credentials: &rabbitmq-credentials RABBITMQ_HOST: “rabbit” RABBITMQ_USERNAME: “user” RABBITMQ_PASSWORD: ${RABBITMQ_PASSWORD}

x-redis-credentials: &redis-credentials REDIS_HOST: “redis” REDIS_PORT: “6379” REDIS_PASSWORD: ${REDIS_PASSWORD} REDIS_DB: “1”

x-duckling-credentials: &duckling-credentials RASA_DUCKLING_HTTP_URL: “http://duckling:8000

x-rasax-credentials: &rasax-credentials LOCAL_MODE: “false” RASA_X_HOST: “http://rasa-x:5002” RASA_X_USERNAME: ${RASA_X_USERNAME:-admin} RASA_X_PASSWORD: ${RASA_X_PASSWORD:-} RASA_X_TOKEN: ${RASA_X_TOKEN} JWT_SECRET: ${JWT_SECRET} RASA_USER_APP: “http://app:5055” RASA_PRODUCTION_HOST: “http://rasa-production:5005” RASA_WORKER_HOST: “http://rasa-worker:5005” RASA_TOKEN: ${RASA_TOKEN}

x-rasa-credentials: &rasa-credentials <<: *rabbitmq-credentials <<: *rasax-credentials <<: *database-credentials <<: *redis-credentials <<: *duckling-credentials RASA_TOKEN: ${RASA_TOKEN} RASA_MODEL_PULL_INTERVAL: 10 RABBITMQ_QUEUE: “rasa_production_events”

x-rasa-services: &default-rasa-service restart: always image: “rasa/rasa:${RASA_VERSION}-full” ports: - “5005” command: > x –no-prompt –production –config-endpoint http://rasa-x:5002/api/config?token=${RASA_X_TOKEN} –port 5005 –jwt-method HS256 –jwt-secret ${JWT_SECRET} –auth-token ‘${RASA_TOKEN}’ –cors “*” depends_on: - rasa-x - rabbit - redis

services: rasa-x: restart: always image: “rasa/rasa-x:${RASA_X_VERSION}” ports: - “5002” volumes: - ./models:/app/models - ./environments.yml:/app/environments.yml - ./credentials.yml:/app/credentials.yml - ./endpoints.yml:/app/endpoints.yml - ./logs:/logs - ./auth:/app/auth environment: <<: *database-credentials <<: *rasa-credentials SELF_PORT: “5002” DB_DATABASE: “${DB_DATABASE:-rasa}” RASA_MODEL_DIR: “/app/models” PASSWORD_SALT: ${PASSWORD_SALT} RABBITMQ_QUEUE: “rasa_production_events” RASA_X_USER_ANALYTICS: “0” SANIC_RESPONSE_TIMEOUT: “3600” depends_on: - db

rasa-production: <<: *default-rasa-service environment: <<: *rasa-credentials RASA_ENVIRONMENT: “production” DB_DATABASE: “tracker” RASA_MODEL_SERVER: “http://rasa-x:5002/api/projects/default/models/tags/production

rasa-worker: <<: *default-rasa-service environment: <<: *rasa-credentials RASA_ENVIRONMENT: “worker” DB_DATABASE: “worker_tracker” RASA_MODEL_SERVER: “http://rasa-x:5002/api/projects/default/models/tags/production

app: restart: always image: “rasa/rasa-x-demo:${RASA_X_DEMO_VERSION}” ports: - “5055” depends_on: - rasa-production

db: restart: always image: “bitnami/postgresql:11.7.0” ports: - “5432” environment: POSTGRESQL_USERNAME: “${DB_USER:-admin}” POSTGRESQL_PASSWORD: “${DB_PASSWORD}” POSTGRESQL_DATABASE: “${DB_DATABASE:-rasa}” volumes: - ./db:/bitnami/postgresql

rabbit: restart: always image: “bitnami/rabbitmq:3.8.3” environment: RABBITMQ_HOST: “rabbit” RABBITMQ_USERNAME: “user” RABBITMQ_PASSWORD: ${RABBITMQ_PASSWORD} RABBITMQ_DISK_FREE_LIMIT: “{mem_relative, 0.1}” ports: - “5672”

duckling: restart: always image: “rasa/duckling:0.1.6.3” ports: - “8000” command: [“duckling-example-exe”, “–no-access-log”, “–no-error-log”]

nginx: restart: always image: “rasa/nginx:${RASA_X_VERSION}” ports: - “80:8080” - “443:8443” volumes: - ./certs:/opt/bitnami/certs - ./terms:/opt/bitnami/nginx/conf/bitnami/terms depends_on: - rasa-x - rasa-production - app

redis: restart: always image: “bitnami/redis:5.0.8” environment: REDIS_PASSWORD: ${REDIS_PASSWORD} ports: - “6379”

@manoj2270 could you please format your post with ```? Otherwise this is hard to read

@akelad I have attached the files. please check it. docker-compose docker-compose.yml (4.3 KB) error-logs Error Logs.txt (5.3 KB)

Can someone please help me here?

Hi @manoj2270, you can potentially ignore this error. Sometimes it shows up on start up when the services aren’t all ready yet. Can you access Rasa X from your browser? If not, can you check that the rasa-production container is running? If not, can you send me the logs for that?

Hi @akelad I am able to access the Rasa X from browser. I have integrated rasa x with github. My issue is when i train the model through rasa x am getting above error. Also i am not able to upload the model through rasa x UI. I have checked that rasa-production container is running.